/*
	MyHelloWindow.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloWindow.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef _APPLICATION_H
#include <Application.h>
#endif
#ifndef MY_HELLO_WINDOW_H
#include "MyHelloWindow.h"
#endif


BRect       buttonBeep1Rect(20.0, 60.0, 110.0, 90.0);
const char* buttonBeep1Name = "Beep1";
const char* buttonBeep1Label = "Beep One";
BRect       checkBoxSetBeepRect(130.0, 67.0, 230.0, 90.0);
const char* checkBoxSetBeepName = "SetBeep";
const char* checkBoxSetBeepLabel = "Disable Beeping";


MyHelloWindow::MyHelloWindow(BRect frame)
    : BWindow(frame, "My Hello", B_TITLED_WINDOW, B_NOT_RESIZABLE)
{
    frame.OffsetTo(B_ORIGIN);
    fMyView = new MyDrawView(frame, "MyDrawView");
    AddChild(fMyView);

	fButtonBeep1 = new BButton(	buttonBeep1Rect, 
								buttonBeep1Name, 
								buttonBeep1Label, 
								new BMessage(BUTTON_BEEP_1_MSG));
	fMyView->AddChild(fButtonBeep1);

	fCheckBoxSetBeep = new BCheckBox(checkBoxSetBeepRect, 
									checkBoxSetBeepName, 
									checkBoxSetBeepLabel, 
									new BMessage(CHECKBOX_SET_BEEP_MSG));
	fMyView->AddChild(fCheckBoxSetBeep);

    Show();
}


bool MyHelloWindow::QuitRequested()
{
    be_app->PostMessage(B_QUIT_REQUESTED);
    return(TRUE);
}


void MyHelloWindow::MessageReceived(BMessage* message)
{
	switch(message->what)
	{
		case BUTTON_BEEP_1_MSG:
// *** NEW
			int32  checkBoxState;

			checkBoxState = fCheckBoxSetBeep->Value();
			if (checkBoxState == B_CONTROL_ON)
			   	// Disable Beeping checkbox is checked, meaning DON'T beep
			   	;
			else  
				// Disable Beeping checkbox is unchecked, meaning DO beep
		  		beep();

		  	break;
// *** NEW
		  	
// *** NEW
		case CHECKBOX_SET_BEEP_MSG:
			// Here we don't do anything. Instead, we wait until the user performs
			// some other action before checking the value of the checkbox
			
			break;
// *** NEW
		
		default:
			BWindow::MessageReceived(message);
	}
}
