/*
	MyDrawView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif

MyDrawView::MyDrawView(BRect rect, char *name)
    : BView(rect, name, B_FOLLOW_ALL, B_WILL_DRAW)
{
}


void MyDrawView::AttachedToWindow() 
{
}


void MyDrawView::Draw(BRect)
{
    SetFont(be_plain_font); 
    SetFontSize(18.0);
	MovePenTo(20.0, 30.0);
	DrawString("18 point plain font");

    SetFont(be_bold_font); 
    // need to again call SetFontSize() if I wish to set size to 18 - even though
    // the size was set to 18 above. That's because the above call to SetFont() sets
    // everything about the font - including its size.
    SetFontSize(18.0);
	MovePenTo(20.0, 60.0);
	DrawString("18 point bold font");

    SetFont(be_fixed_font); 
    SetFontSize(18.0);
	MovePenTo(20.0, 90.0);
	DrawString("18 point fixed font");
	
	// now, instead of setting all the attributes of a font by using one of the
	// be-supplied fonts in a call to SetFont(), I'll alter just one attribute of
	// whatever font is currently in use for this one view (the be_fixed_font used
	// in the above call to SetFont())
	BFont font; 
	GetFont(&font); 
	font.SetShear(120.0); 
	SetFont(&font);
	MovePenTo(20.0, 120.0);
	DrawString("18 point 60 shear fixed font");

    SetFont(be_bold_font); 
	GetFont(&font); 
	font.SetSize(24.0);
	font.SetRotation(-45.0);
	SetFont(&font);
	MovePenTo(20.0, 150.0);
	DrawString("rotated");
}











