/*
	MyHelloWindow.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloWindow.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef _APPLICATION_H
#include <Application.h>
#endif
#ifndef MY_HELLO_WINDOW_H
#include "MyHelloWindow.h"
#endif

#define   MENU_BAR_HEIGHT   18.0


MyHelloWindow::MyHelloWindow(BRect frame)
    : BWindow(frame, "My Hello", B_TITLED_WINDOW, B_NOT_ZOOMABLE)
{
	frame.OffsetTo(B_ORIGIN);
	frame.top += MENU_BAR_HEIGHT + 1.0;

    fMyView = new MyDrawView(frame, "MyDrawView");
    AddChild(fMyView);

	BMenu		*menu;
	BMenuItem	*menuItem;
	BRect		menuBarRect;

	menuBarRect.Set(0.0, 0.0, 10000.0, MENU_BAR_HEIGHT);
	fMenuBar = new BMenuBar(menuBarRect, "MenuBar");
	AddChild(fMenuBar);
	
	menu = new BMenu("Text");
	fMenuBar->AddItem(menu);
	menu->AddItem(new BMenuItem("Test", new BMessage(TEST_MSG)));

	Show();
}


bool MyHelloWindow::QuitRequested()
{
    be_app->PostMessage(B_QUIT_REQUESTED);

    return(true);
}


void MyHelloWindow::MessageReceived(BMessage* message)
{
	switch(message->what)
	{
		case TEST_MSG:
		  	beep();
		  	break;

		default:
			BWindow::MessageReceived(message);
	}
}
